package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Advanced settings.
 */
@ApiModel(description = "Advanced settings.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class TelephoneNumberAdvancedSettingApOpenApiVo   {
  @JsonProperty("locale")
  private Integer locale;

  @JsonProperty("dscpForSip")
  private Integer dscpForSip;

  @JsonProperty("dscpForRtp")
  private Integer dscpForRtp;

  @JsonProperty("dtmfRelaySetting")
  private Integer dtmfRelaySetting;

  @JsonProperty("expirationTime")
  private Integer expirationTime;

  @JsonProperty("retryInterval")
  private Integer retryInterval;

  @JsonProperty("t38Support")
  private Boolean t38Support;

  @JsonProperty("endWithNumberSign")
  private Boolean endWithNumberSign;

  public TelephoneNumberAdvancedSettingApOpenApiVo locale(Integer locale) {
    this.locale = locale;
    return this;
  }

  /**
   * The country code of telephone number.
   * @return locale
  */
  @ApiModelProperty(value = "The country code of telephone number.")


  public Integer getLocale() {
    return locale;
  }

  public void setLocale(Integer locale) {
    this.locale = locale;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo dscpForSip(Integer dscpForSip) {
    this.dscpForSip = dscpForSip;
    return this;
  }

  /**
   * The dscp For Sip of telephone number.
   * @return dscpForSip
  */
  @ApiModelProperty(value = "The dscp For Sip of telephone number.")


  public Integer getDscpForSip() {
    return dscpForSip;
  }

  public void setDscpForSip(Integer dscpForSip) {
    this.dscpForSip = dscpForSip;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo dscpForRtp(Integer dscpForRtp) {
    this.dscpForRtp = dscpForRtp;
    return this;
  }

  /**
   * The dscp For Rtp of telephone number.
   * @return dscpForRtp
  */
  @ApiModelProperty(value = "The dscp For Rtp of telephone number.")


  public Integer getDscpForRtp() {
    return dscpForRtp;
  }

  public void setDscpForRtp(Integer dscpForRtp) {
    this.dscpForRtp = dscpForRtp;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo dtmfRelaySetting(Integer dtmfRelaySetting) {
    this.dtmfRelaySetting = dtmfRelaySetting;
    return this;
  }

  /**
   * The dtmf relay setting of telephone number.
   * @return dtmfRelaySetting
  */
  @ApiModelProperty(value = "The dtmf relay setting of telephone number.")


  public Integer getDtmfRelaySetting() {
    return dtmfRelaySetting;
  }

  public void setDtmfRelaySetting(Integer dtmfRelaySetting) {
    this.dtmfRelaySetting = dtmfRelaySetting;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo expirationTime(Integer expirationTime) {
    this.expirationTime = expirationTime;
    return this;
  }

  /**
   * The expiration time of telephone number.
   * @return expirationTime
  */
  @ApiModelProperty(value = "The expiration time of telephone number.")


  public Integer getExpirationTime() {
    return expirationTime;
  }

  public void setExpirationTime(Integer expirationTime) {
    this.expirationTime = expirationTime;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo retryInterval(Integer retryInterval) {
    this.retryInterval = retryInterval;
    return this;
  }

  /**
   * The retry interval of telephone number.
   * @return retryInterval
  */
  @ApiModelProperty(value = "The retry interval of telephone number.")


  public Integer getRetryInterval() {
    return retryInterval;
  }

  public void setRetryInterval(Integer retryInterval) {
    this.retryInterval = retryInterval;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo t38Support(Boolean t38Support) {
    this.t38Support = t38Support;
    return this;
  }

  /**
   * Whether to enable t38 Support.
   * @return t38Support
  */
  @ApiModelProperty(value = "Whether to enable t38 Support.")


  public Boolean getT38Support() {
    return t38Support;
  }

  public void setT38Support(Boolean t38Support) {
    this.t38Support = t38Support;
  }

  public TelephoneNumberAdvancedSettingApOpenApiVo endWithNumberSign(Boolean endWithNumberSign) {
    this.endWithNumberSign = endWithNumberSign;
    return this;
  }

  /**
   * Whether the telephone number setting end with number sign.
   * @return endWithNumberSign
  */
  @ApiModelProperty(value = "Whether the telephone number setting end with number sign.")


  public Boolean getEndWithNumberSign() {
    return endWithNumberSign;
  }

  public void setEndWithNumberSign(Boolean endWithNumberSign) {
    this.endWithNumberSign = endWithNumberSign;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TelephoneNumberAdvancedSettingApOpenApiVo telephoneNumberAdvancedSettingApOpenApiVo = (TelephoneNumberAdvancedSettingApOpenApiVo) o;
    return Objects.equals(this.locale, telephoneNumberAdvancedSettingApOpenApiVo.locale) &&
        Objects.equals(this.dscpForSip, telephoneNumberAdvancedSettingApOpenApiVo.dscpForSip) &&
        Objects.equals(this.dscpForRtp, telephoneNumberAdvancedSettingApOpenApiVo.dscpForRtp) &&
        Objects.equals(this.dtmfRelaySetting, telephoneNumberAdvancedSettingApOpenApiVo.dtmfRelaySetting) &&
        Objects.equals(this.expirationTime, telephoneNumberAdvancedSettingApOpenApiVo.expirationTime) &&
        Objects.equals(this.retryInterval, telephoneNumberAdvancedSettingApOpenApiVo.retryInterval) &&
        Objects.equals(this.t38Support, telephoneNumberAdvancedSettingApOpenApiVo.t38Support) &&
        Objects.equals(this.endWithNumberSign, telephoneNumberAdvancedSettingApOpenApiVo.endWithNumberSign);
  }

  @Override
  public int hashCode() {
    return Objects.hash(locale, dscpForSip, dscpForRtp, dtmfRelaySetting, expirationTime, retryInterval, t38Support, endWithNumberSign);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TelephoneNumberAdvancedSettingApOpenApiVo {\n");
    
    sb.append("    locale: ").append(toIndentedString(locale)).append("\n");
    sb.append("    dscpForSip: ").append(toIndentedString(dscpForSip)).append("\n");
    sb.append("    dscpForRtp: ").append(toIndentedString(dscpForRtp)).append("\n");
    sb.append("    dtmfRelaySetting: ").append(toIndentedString(dtmfRelaySetting)).append("\n");
    sb.append("    expirationTime: ").append(toIndentedString(expirationTime)).append("\n");
    sb.append("    retryInterval: ").append(toIndentedString(retryInterval)).append("\n");
    sb.append("    t38Support: ").append(toIndentedString(t38Support)).append("\n");
    sb.append("    endWithNumberSign: ").append(toIndentedString(endWithNumberSign)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

